Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/admin/adminsyncwatching

# Trigger watching sync

POST `https://api.rewind.rest/v1/admin/sync/watching`

Manually trigger a watching sync from Plex, Letterboxd, or Trakt. Use the source query parameter to select the source. For Trakt, pass full=true to ignore the incremental cursor and re-walk the entire history.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### source (query, enum (string)) — allowed: plex, letterboxd, trakt

#### full (query, enum (string)) — allowed: 0, 1, true, false

Trakt only: ignore the incremental cursor and re-walk the full watch history. Idempotent (traktHistoryId dedup); the escape hatch for watches back-dated in Trakt to before an already-advanced cursor.

## Response

#### 200

Sync completed successfully

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/admin/sync/watching' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/admin/sync/watching', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/admin/sync/watching',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
